package com.liquidnet.service.candy.util;

import com.liquidnet.service.candy.dto.CandyCommonCouponBasicDto;
import com.liquidnet.service.candy.dto.CandyUserCouponBasicDto;
import com.liquidnet.service.candy.vo.*;

import java.util.ArrayList;
import java.util.List;

public class ObjectUtil {
    private static final ArrayList<CandyUserCouponBasicDto> candyUserCouponBasicDtoArrayList = new ArrayList<>();
    private static final ArrayList<CandyCommonCouponBasicDto> candyCommonCouponBasicDtoArrayList = new ArrayList<>();
    private static final ArrayList<CandyCouponVo> candyCouponVoArrayList = new ArrayList<>();
    private static final ArrayList<CandyCouponPreVo> candyCouponPreVoArrayList = new ArrayList<>();
    private static final ArrayList<CandyCouponRulesVo> candyCouponRulesVos = new ArrayList<>();
    private static final ArrayList<CandyCouponBasicVo> candyCouponBasicVoArrayList = new ArrayList<>();
    private static final ArrayList<CandyCouponPreviewVo> candyCouponPreviewVoArrayList = new ArrayList<>();

    public static ArrayList<CandyUserCouponBasicDto> getCandyUserCouponBasicDtoArrayList() {
        return (ArrayList<CandyUserCouponBasicDto>) candyUserCouponBasicDtoArrayList.clone();
    }

    public static ArrayList<CandyCommonCouponBasicDto> getCandyCommonCouponBasicDtoArrayList() {
        return (ArrayList<CandyCommonCouponBasicDto>) candyCommonCouponBasicDtoArrayList.clone();
    }

    public static ArrayList<CandyCouponVo> getCandyCouponVoArrayList() {
        return (ArrayList<CandyCouponVo>) candyCouponVoArrayList.clone();
    }

    public static ArrayList<CandyCouponPreVo> getCandyCouponPreVoArrayList() {
        return (ArrayList<CandyCouponPreVo>) candyCouponPreVoArrayList.clone();
    }

    public static ArrayList<CandyCouponRulesVo> getCandyCouponRulesVos() {
        return (ArrayList<CandyCouponRulesVo>) candyCouponRulesVos.clone();
    }

    public static ArrayList<CandyCouponBasicVo> getCandyCouponBasicVoArrayList() {
        return (ArrayList<CandyCouponBasicVo>) candyCouponBasicVoArrayList.clone();
    }

    public static ArrayList<CandyCouponPreviewVo> getCandyCouponPreviewVoArrayList() {
        return (ArrayList<CandyCouponPreviewVo>) candyCouponPreviewVoArrayList.clone();
    }
}
